Bug 3456 - [package request] festivox-ru (russian voice for festival tts)
: [package request] festivox-ru (russian voice for festival tts)
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-20 10:54 MSK by ra oeai
Modified: 2013-12-24 18:25 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ra oeai 2013-12-20 10:54:54 MSK
http://festlang.berlios.de/docu/doku.php?id=russianru

i've made a package, well maybe some testing?

https://abf.io/build_lists/1492114

also needs some advanced stuff to work with festival server in gui mode.
Comment 1 Denis Silakov 2013-12-21 15:09:46 MSK
I have forked your package to the import group (from which packages to official ROSA repos are built) and built it for controb repo of Desktop Fresh.

In addition, I have cleanup up the spec a little:

https://abf.io/import/festivox-ru/blob/rosa2012.1/festivox-ru.spec

(note that we use rosa2012.1 Git branch to build packages for Desktop Fresh).

Actually rpmbuild in ROSA is able to perform a lot of tasks automatically, so there is no need to manually unpack the archive, "cd" into the unpacked directory, performed different cleanups of buildroot, etc.
Comment 2 ra oeai 2013-12-21 16:39:03 MSK
thanks i'll look on the spec
i was stuck with %dir %{install_dir} in my spec and need some better examples maybe
just couldn't do it better, next to come is e18, that i'll try to prepare? there are specs in their code actually... looks like it is releasing now
so first parts here i\ll upload
http://download.enlightenment.org/rel/libs/efl/efl-1.8.3.tar.gz
http://download.enlightenment.org/rel/libs/elementary/elementary-1.8.2.tar.gz
Comment 3 ra oeai 2013-12-21 16:47:46 MSK
oh, and i've disabled patch p0 because i didn't know how to do it better 
it is patching /usr/bin/festival server, just adding a string to init this voice
Comment 4 ra oeai 2013-12-21 16:59:17 MSK
also i've moved it in
Desktop/Accessibility
don't know ehy those changes didn't applied, maybe because i've fixed in name err
https://abf.io/oeai/festivox-ru/blob/master/festivox-ru.spec
Comment 5 Denis Silakov 2013-12-21 18:31:11 MSK
(In reply to comment #2)
> thanks i'll look on the spec
> i was stuck with %dir %{install_dir} in my spec and need some better
> examples maybe
> just couldn't do it better, next to come is e18, that i'll try to prepare?
> there are specs in their code actually... looks like it is releasing now
> so first parts here i\ll upload
> http://download.enlightenment.org/rel/libs/efl/efl-1.8.3.tar.gz
> http://download.enlightenment.org/rel/libs/elementary/elementary-1.8.2.tar.gz

We already have e17 components in ABF. E.g., here is elementary:

https://abf.rosalinux.ru/import/elementary/blob/rosa2012.1/elementary.spec

So I think it is better to update them (or maybe to create separate e18 stack on ther basis). Feel free to contact Andrey Bondrov who created the e17 stack for Desktop Fresh.

As for "Desktop/Accessibility" - note that we have a limited set of groups which are allowed to be used in spec - http://wiki.rosalab.ru/en/index.php/Packaging_group. "Desktop/Accessibility" is not among them and rpmlint fails the build if you use it for official repos. So I have changed the group to "Sound" (it is used by festival itself), but maybe it is better to change it to "Accessibility"?

As for the patch - ok, I see the point. I will take a look at it later.
Comment 6 ra oeai 2013-12-21 18:46:15 MSK
Sound? that's nice, i'll change it back, i thought festival was in desktop group as a kind of gnome-speech or something

e18 libs can be incompatible with e17 as i see in e-maillist, they will freeze e17 and provide only some major fixes and actually i can't find efl at least
so i think that some more changes can be produced and sometimes it is interesting to just build up from scratch to see difference, thanks.
Comment 7 ra oeai 2013-12-21 20:32:24 MSK
i think that both festival and maybe some other tts should be in text-tools or accessibilty
along with cmusphinx (pocketsphinx) that needs update also
http://cmusphinx.sourceforge.net/wiki/download/
Comment 8 Denis Silakov 2013-12-24 16:00:36 MSK
Meanwhile, Andrey has already prepared e18 for Desktop Fresh:

http://abf-downloads.rosalinux.ru/enlightenment_backports_personal/repository/rosa2012.1
Comment 9 ra oeai 2013-12-24 18:25:47 MSK
thanks, testing.